import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaUserTypeConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_type#name DataOktaUserType#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/user_type okta_user_type}
*/
export declare class DataOktaUserType extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "okta_user_type";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/user_type okta_user_type} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaUserTypeConfig
    */
    constructor(scope: Construct, id: string, config: DataOktaUserTypeConfig);
    get description(): string;
    get displayName(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
